Summary:	The GNU macro processor
Name:		m4
Version:	1.4.20
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/Other
URL:		https://www.gnu.org/software/m4/
Source0:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	libsigsegv-devel

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.

%prep
%setup -q
%autopatch -p1

%build
export gl_cv_func_strtod_works=no
rm tests/test-execute.sh
sed -i -e s/test-execute.sh//g tests/Makefile.in
%configure
%make_build

%check
make %{?_smp_mflags} check

%install
%make_install infodir=%{_infodir}
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
%find_lang %{name}

%files -f %{name}.lang
%doc NEWS README THANKS ChangeLog
%{_bindir}/%{name}
%{_infodir}/*
%{_mandir}/man1*/*


%changelog
* Tue May 20 2025 ns80 <ns80> 1.4.20-1.mga10
+ Revision: 2185102
- new version 1.4.20

* Sat Apr 06 2024 wally <wally> 1.4.19-3.mga10
+ Revision: 2055190
- basesystem rebuild for i686

* Tue Mar 15 2022 umeabot <umeabot> 1.4.19-2.mga9
+ Revision: 1794093
- Mageia 9 Mass Rebuild

* Thu Jun 17 2021 joequant <joequant> 1.4.19-1.mga9
+ Revision: 1731068
- update tests to remove broken execute
- fix check
- update to 1.4.19

* Tue Feb 11 2020 umeabot <umeabot> 1.4.18-3.mga8
+ Revision: 1488980
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Sep 03 2018 tv <tv> 1.4.18-2.mga7
+ Revision: 1256518
- Patch0: update to glibc libio.h removal (rhbz#1573342)
- rely on filetriggers for info system (mga#23482)
+ kekepower <kekepower>
- Use new make macros

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.4.18-1.mga6
+ Revision: 1079005
- 1.4.18
- remove upstreamed gnulib patches

* Mon Feb 15 2016 umeabot <umeabot> 1.4.17-6.mga6
+ Revision: 961351
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 blino <blino> 1.4.17-5.mga6
+ Revision: 895236
- add patches adapted from upstream gnulib to fix update-copyright test with perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.4.17-4.mga5
+ Revision: 743643
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.17-3.mga5
+ Revision: 682115
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.17-2.mga4
+ Revision: 536087
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 fwang <fwang> 1.4.17-1.mga4
+ Revision: 483246
- new version 1.4.17

* Sat Jan 12 2013 umeabot <umeabot> 1.4.16-3.mga3
+ Revision: 359254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 cjw <cjw> 1.4.16-2.mga3
+ Revision: 325742
- patch1: fix build with glibc 2.16
- drop unneeded buildroot definition and clean section

* Wed Apr 13 2011 tv <tv> 1.4.16-1.mga2
+ Revision: 84521
- new release
- BuildRequires:  libsigsegv-devel

* Sat Jan 08 2011 blino <blino> 1.4.15-1.mga1
+ Revision: 382
- imported package m4


* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 1.4.15-1mdv2011.0
+ Revision: 574992
- update to new version 1.4.15

* Thu Feb 25 2010 Funda Wang <fwang@mandriva.org> 1.4.14-1mdv2010.1
+ Revision: 511038
- disable format check when running test
- new version 1.4.14

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 1.4.13-1mdv2010.0
+ Revision: 369861
- New version 1.4.13

* Wed Oct 29 2008 Funda Wang <fwang@mandriva.org> 1.4.12-1mdv2009.1
+ Revision: 298554
- New version 1.4.12

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.4.11-2mdv2009.0
+ Revision: 265036
- rebuild early 2009.0 package (before pixel changes)

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.11-1mdv2009.0
+ Revision: 195587
- make the tests pass
- 1.4.11

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.4.10-3mdv2008.1
+ Revision: 152890
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.4.10-2mdv2008.1
+ Revision: 152889
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 14 2007 Funda Wang <fwang@mandriva.org> 1.4.10-1mdv2008.0
+ Revision: 51975
- New version

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 1.4.9-1mdv2008.0
+ Revision: 49330
- New version


* Sun Dec 10 2006 Emmanuel Andry <eandry@mandriva.org> 1.4.8-1mdv2007.0
+ Revision: 94417
- New version 1.4.8
- Import m4

* Fri Jan 06 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4.4-1mdk
- 1.4.4
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.3-2mdk
- Rebuild

* Wed Jun 08 2005 Abel Cheung <deaddog@mandriva.org> 1.4.3-1mdk
- 1.4.3
- Can makeinstall_std now
- Prereq -> Requires
- Use bz2 again since it is readily available in mirror (with signature)
- Fix URL

* Wed Nov 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.2-1mdk
- 1.4.2
- cosmetics

* Fri Jun 11 2004 Abel Cheung <deaddog@deaddog.org> 1.4.1-1mdk
- Finally, after 10 years...
- Patch not needed
- Use tar.gz instead, package is signed

